Packages - Bug #2166

paraview and vtk conflicting files
2019-02-04 07:03 AM - nona

Status: not-a-bug % Done: 0%
Priority: bug
Assignee:

Category:

Description
Hello,

First of all, | really appreciate the effort put into compiling any package. | am curently trying to install paraview, but it conflicts with
many vtk files.
pacman -S paraview

error: failed to commit transaction (conflicting files)
.[ very long list of files ]...

My system:
OpenRC, linux-libre Linux 4.20.0-gnu-1 #1 SMP PREEMPT Sun Jan 6 20:50:27 UTC 2019 x86_64 GNU/Linux
vtk 8.2.0-1, trying to install paraview-5.6.0-2

History

#1 - 2019-02-04 07:52 AM - bill-auger

- File paraview-vtk-conflicts added

there are no such conflicts unless the 'vtk' package is already installed
the conflicting files are predominantly in /usr/lib/python3.7/site-packages/vtkmodules - presumably where the 'vik' package puts it's files

the entire list of conflicting files is attached

$ grep -c ' (owned by vtk)' ~/paraview-vtk-conflicts
548

$ grep -cv ' (owned by vtk)' ~/paraview-vtk-conflicts
0

off-hand i would say that 'paraview' appears to be providing its own copy of 'vitk'
and in typical myopic "pipish" style, doing so by blindly clobbering what is (or should be) owned by another package - fortunately, sane package
managers such as pacman do not allow that to happen

in any case these are both arch packages so we need to first see if this is reported in arch

#2 - 2019-02-04 01:59 PM - bill-auger

- Status changed from open to forwarded upstream

arch ticket https://bugs.archlinux.org/task/61594
upstream ticket https://gitlab.kitware.com/paraview/paraview/issues/18751

#3 - 2020-05-14 02:26 AM - nona

Oh! Thanks! Because of this, | was able to find paraview-opt in the AUR repositories, which basically installs paraview in /opt. Now | have both vtk
and paraview. Thanks!

#4 - 2022-05-08 07:54 PM - Zuss

Looks like this was just fixed recently. | can install paraview v5.10.1 and vtk v9.1.0 together without any errors.
Related PR on the Arch package: https:/github.com/archlinux/svntogit-community/commit/a780185671fe116a9e5afdb0df6f52a732af0439

#5 - 2022-05-14 12:26 PM - Zuss

- Status changed from forwarded upstream to not-a-bug
Closed as the conflict issues are fixed

Files

paraview-vtk-conflicts 67.9 KB 2019-02-04 bill-auger
